#pragma once

class CCEFView;


class CEditAddress : public CComboBox
{
public:
//Methods
  void RememberURL(_In_ const CString& sURL);

protected:
//Methods
  BOOL PreTranslateMessage(MSG* pMsg) override;

//Message handlers
  afx_msg void OnCbnSelchange();

  DECLARE_MESSAGE_MAP()
};


class CMainToolBar : public CToolBar
{
public:
  CEditAddress m_wndAddress;
};


class CMainFrame : public CMDIFrameWnd
{
public:
//Methods
  void SetUrl(const CString& sURL); //CEF_INTEGRATION

protected:
//Methods
  void OnGo();
  void OnGoBack();
  void OnGoForward();
  void OnUpdateGo(CCmdUI* pCmdUI);
  void OnUpdateGoBack(CCmdUI* pCmdUI);
  void OnUpdateGoForward(CCmdUI* pCmdUI);
  CCEFView* GetActiveCEFView();

//Member variables
  CStatusBar m_wndStatusBar;
  CMainToolBar m_wndToolBar;

//Message handlers
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
  afx_msg void OnClose();

  DECLARE_DYNCREATE(CMainFrame)
  DECLARE_MESSAGE_MAP()
};
