#pragma once

#ifndef STRICT
#define STRICT
#endif

#ifndef WINVER
#define WINVER 0x0600
#endif

#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0600
#endif

#ifndef _WIN32_WINDOWS
#define _WIN32_WINDOWS 0x0600
#endif

#ifndef _WIN32_IE
#define _WIN32_IE 0x0600
#endif

#define VC_EXTRALEAN //Exclude rarely-used stuff from Windows headers
#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS / some CString constructors will be explicit
#define _AFX_ALL_WARNINGS //turns off MFC's hiding of some common and often safely ignored warning messages

#ifndef _SECURE_ATL
#define _SECURE_ATL 1 //Use the Secure C Runtime in ATL
#endif

#include <afxwin.h> //MFC core and standard components
#include <afxext.h> //MFC extensions
#include <delayimp.h>
#include <array>

//CEF_INTEGRATION
//Pull in support for CEF
#pragma warning(push)
#pragma warning(disable : 4100 6011 26052 26400 26401 26402 26408 26409 26415 26418 26429 26432 26434 26435 26436)
#pragma warning(disable : 26440 26446 26447 26451 26455 26456 26461 26472 26473 26474 26477 26481 26485 26486 26487)
#pragma warning(disable : 26490 26497 26491 26492 26496 26812 26814)
#include <include\cef_base.h>
#include <include\cef_app.h>
#include <include\cef_client.h>
#include <include\cef_life_span_handler.h>
#include <include\base\cef_lock.h>
#include <include\wrapper\cef_helpers.h>
#include <include\cef_parser.h>
#include <include\wrapper\cef_stream_resource_handler.h>
#include <include\wrapper\cef_resource_manager.h>
#include <include\wrapper\cef_byte_read_handler.h>
#pragma warning(pop)


#ifdef _UNICODE
#if defined _M_IX86
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*'\"")
#elif defined _M_IA64
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='ia64' publicKeyToken='6595b64144ccf1df' language='*'\"")
#elif defined _M_X64
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*'\"")
#else
#pragma comment(linker,"/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='*' publicKeyToken='6595b64144ccf1df' language='*'\"")
#endif
#endif
